# Blitter_32bppSimple Class Reference

Inheritance diagram for Blitter_32bppSimple:

## Public Member Functions
void | Draw (Blitter::BlitterParams *bp, BlitterMode mode, ZoomLevel zoom)
| Draw an image to the screen, given an amount of params defined above.
void | DrawColourMappingRect (void *dst, int width, int height, PaletteID pal)
| Draw a colourtable to the screen.
Sprite * | Encode (SpriteLoader::Sprite *sprite, Blitter::AllocatorProc *allocator)
| Convert a sprite from the loader to our own format.
const char * | GetName ()
| Get the name of the blitter, the same as the Factory-instance returns.

## Detailed Description

Definition at line 18 of file 32bpp_simple.hpp.

## Member Function Documentation

void Blitter_32bppSimple::DrawColourMappingRect | ( | void * | dst,
|  | int | width,
|  | int | height,
|  | PaletteID | pal |
| ) |  |  | `[virtual]`

Draw a colourtable to the screen.

This is: the colour of the screen is read and is looked-up in the palette to match a new colour, which then is put on the screen again.

Parameters:

  | dst | the destination pointer (video-buffer).
  | width | the width of the buffer.
  | height | the height of the buffer.
  | pal | the palette to use.

Implements Blitter.

Reimplemented in Blitter_32bppAnim.

Definition at line 66 of file 32bpp_simple.cpp.

References Blitter_32bppBase::MakeGrey(), and Blitter_32bppBase::MakeTransparent().

The documentation for this class was generated from the following files:

- src/blitter/32bpp_simple.hpp
- src/blitter/32bpp_simple.cpp